org.keycloak.dom.saml.v1.assertion

## Class SAML11EvidenceType

- java.lang.Object
- - org.keycloak.dom.saml.v1.assertion.SAML11EvidenceType

-     public class SAML11EvidenceType
      extends Object

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `assertionIDReference`
    `protected List<SAML11AssertionType>` | `assertions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11EvidenceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(SAML11AssertionType condition)`
    `void` | `add(String condition)`
    `void` | `addAllAssertionIDReference(List<String> theassertionIDReference)`
    `void` | `addAllAssertionType(List<SAML11AssertionType> theassertions)`
    `List<String>` | `getAssertionIDReference()`
    `List<SAML11AssertionType>` | `getAssertions()`
    `boolean` | `remove(SAML11AssertionType assertion)`
    `boolean` | `remove(String assertionIDReference)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### assertionIDReference

          protected List<String> assertionIDReference

    - #### assertions

          protected List<SAML11AssertionType> assertions

  - ### Constructor Detail

    - #### SAML11EvidenceType

          public SAML11EvidenceType()

  - ### Method Detail

    - #### add

          public void add(String condition)

    - #### addAllAssertionIDReference

          public void addAllAssertionIDReference(List<String> theassertionIDReference)

    - #### remove

          public boolean remove(String assertionIDReference)

    - #### getAssertionIDReference

          public List<String> getAssertionIDReference()

    - #### add

          public void add(SAML11AssertionType condition)

    - #### addAllAssertionType

          public void addAllAssertionType(List<SAML11AssertionType> theassertions)

    - #### remove

          public boolean remove(SAML11AssertionType assertion)

    - #### getAssertions

          public List<SAML11AssertionType> getAssertions()

Copyright © 2016 JBoss by Red Hat. All rights reserved.